/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.digital.signature.internal.manager;

import com.liferay.digital.signature.internal.http.DSHttp;
import com.liferay.digital.signature.manager.DSDocumentManager;
import com.liferay.petra.string.StringBundler;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Brian Wing Shun Chan
 */
@Component(immediate = true, service = DSDocumentManager.class)
public class DSDocumentManagerImpl implements DSDocumentManager {

	@Override
	public byte[] getDSDocumentsAsBytes(
		long companyId, long groupId, String dsEnvelopeId) {

		return _dsHttp.getAsBytes(
			companyId, groupId,
			StringBundler.concat(
				"envelopes/", dsEnvelopeId,
				"/documents/archive?escape_non_ascii_filenames=true",
				"&include=document,summary,voice_print&language=en"));
	}

	@Reference
	private DSHttp _dsHttp;

}